<%@ Page Debug="true" %>

<%@ Import Namespace="People" %>

<html>

<script runat="server">

  Sub Page_Load(Sender As Object, E As EventArgs)

    Trace.Write ("Page_Load", "Here we are")

  End Sub

  Sub btn_Click(Sender As Object, E As EventArgs)

    Trace.Warn ("btn_Click", "Button was pressed")

    Dim coolDude As New PersonTrace()

    coolDude.FirstName = "Vince"
    coolDude.LastName = "Patel"

    foo.Text = coolDude.FirstName & " " & coolDude.LastName

  End Sub

</script>

This is a simple page showing tracing in action.
<br/>
At the moment the page does nothing.
<br/>


<form runat="server">
  <asp:Button id="btn" Text="Click Me!" OnClick="btn_Click" runat="server"/>
  <br/>
  <asp:Label id="foo" runat="server"/>
</form>


</html>